«Package community/<имя> 1.9.3.2 conflicts with: community/Mage_Core_Modules 1.9.3.1»

[12 декабря 2016 г.]    Российская сборка Magento 2.49.13
Magento 2: модули и услуги
magereport.com: составление перечня необходимых для установки заплаток SUPEE
#1 Кирилл Расолько
  • Группа: Клиент
  • Сообщений: 8
  • Регистрация: 11.02.2017

22.02.2017 21:33

Пытаюсь обновить модули через Magento Connect мне пишет следующее... Не могу понять в чем может быть дело, уже целые сутки убил на борьбу с проблемой, так и не могу побороть.

Creating backup...
Database backup has been created

Checking dependencies of packages

CONNECT ERROR: Package community/Lib_Credis 1.9.3.2 conflicts with: community/Mage_Core_Modules 1.9.3.1

Checking dependencies of packages

CONNECT ERROR: Package community/Lib_Google_Checkout 1.9.3.2 conflicts with: community/Mage_Core_Modules 1.9.3.1

Checking dependencies of packages

CONNECT ERROR: Package community/Lib_IDNA2 1.9.3.2 conflicts with: community/Mage_Core_Modules 1.9.3.1

Checking dependencies of packages

CONNECT ERROR: Package community/Lib_Js_Calendar 1.51.1.8 conflicts with: community/Mage_Core_Adminhtml 1.9.3.1, community/Mage_Core_Modules 1.9.3.1

Checking dependencies of packages

CONNECT ERROR: Package community/Lib_Js_Ext 1.9.3.2 conflicts with: community/Mage_Core_Adminhtml 1.9.3.1

Checking dependencies of packages

CONNECT ERROR: Package community/Lib_Js_Mage 1.9.3.2 conflicts with: community/Mage_Core_Modules 1.9.3.1
Package community/Lib_Js_Prototype 1.9.3.2 conflicts with: community/Lib_Js_Mage 1.9.3.1, community/Mage_Core_Modules 1.9.3.1

#2 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8932
  • Регистрация: 20.02.2010

23.02.2017 07:08

Скачайте дистрибутив последней версии Magento Community Edition вручную, и распакуйте его в корневую папку Вашего магазина.

#3 Кирилл Расолько
  • Группа: Клиент
  • Сообщений: 8
  • Регистрация: 11.02.2017

24.02.2017 10:28

Так при последующем обновлении та же проблема возникнет наверняка, хотелось бы найти решение а не костыль.

#4 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8932
  • Регистрация: 20.02.2010

24.02.2017 10:32

Я думаю, что причиной является текущее некорректное состояние пакетов PEAR магазина, а после установки нового дистрибутива указанным мной способом пакеты PEAR придут в правильное состояние, и проблема больше не возникнет.

#5 Кирилл Расолько
  • Группа: Клиент
  • Сообщений: 8
  • Регистрация: 11.02.2017

24.02.2017 12:37

Скачал последний дистрибутив magento-1.9.3.2-2017-02-07-01-55-11.tar.gz перезалил все поверх, теперь другая беда, движок так и не увидел последних версий модулей. Я решил в magenta connect проверить обновления, он показал, что у меня версия 1.9.3.1 и доступны обновления до 1.9.3.2. И теперь выдает такую ошибку:

CONNECT ERROR: Could not resolve host: community
Поиском по форуму пользовался, там подобные ошибки только при обновлении темы и варианты их решения не подходят.
Я правда менял chmod для некоторых папок и файлов, повышал их в правах, может новая ошибка и с этим связана, никак не могу понять.

#6 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8932
  • Регистрация: 20.02.2010

24.02.2017 12:38

Я не думаю, что эта проблема связана с предыдущей.
Для каждой отдельной проблемы создавайте отдельную тему.

Поделиться темой: